Printing is not supported in this printer

This was posted in r/linux three days back. Turns out it’s actually been written by a human. And someone has spoiled the fun by sending a patch to gnome with the correct version of the error message: PostScript is not supported on this printer. That makes sense anyway.

Also discussed in the Comments section is the famous error message “Error: Success”. Apparently this mistake is common due to the fact that errors are communicated via a global errorno variable [source].

if (some_c_function() < 0) {
    some_other_c_function();
    print_error(errno);
}

This can be fixed without much hassle though.

Post a comment or leave a trackback: Trackback URL.

Comments

Leave a Reply

Your email address will not be published. Required fields are marked *